Account and agency
Update creator platform profile
Change the creator's supported public profile fields on the connected platform.
PATCH
/v1/agencies/{agencyId}/creators/{creatorId}/platform-profileChange the creator's supported public profile fields on the connected platform.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/agencies/string/creators/string/platform-profile" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "name": "string", "canStreaming": true, "chatMessagesCount": 0, "performerTop": null, "subscribesCount": null, "id": "string", "username": "string", "avatar": "string" }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}